Package org.apache.ignite.internal.processors.datastructures

## Interface GridCacheRemovable

All Known Subinterfaces:
  `GridCacheAtomicLongEx`, `GridCacheAtomicReferenceEx<T>`, `GridCacheAtomicSequenceEx`, `GridCacheAtomicStampedEx<T,​S>`, `GridCacheCountDownLatchEx`, `GridCacheLockEx`, `GridCacheSemaphoreEx`

All Known Implementing Classes:
  `AtomicDataStructureProxy`, `GridCacheAtomicLongImpl`, `GridCacheAtomicReferenceImpl`, `GridCacheAtomicSequenceImpl`, `GridCacheAtomicStampedImpl`, `GridCacheCountDownLatchImpl`, `GridCacheLockImpl`, `GridCacheSemaphoreImpl`

    public interface GridCacheRemovable

Provides callback for marking object as removed.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `needCheckNotRemoved()`
`boolean` `onRemoved()` Set status of data structure as removed.
`void` `restart​(IgniteInternalCache cache)` Would return this object work to normal.
`void` `suspend()` Would suspend calls for this object.

### Method Detail

#### onRemoved

    boolean onRemoved()

Set status of data structure as removed.

Returns:
  Current status.

#### needCheckNotRemoved

    void needCheckNotRemoved()

#### suspend

    void suspend()

Would suspend calls for this object.

#### restart

    void restart​(IgniteInternalCache cache)

Would return this object work to normal.

Parameters:
  `cache` - To update with.